OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSolid

# IGESSolid_Array1OfLoop Class Reference

`#include <IGESSolid_Array1OfLoop.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESSolid_Array1OfLoop (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESSolid_Array1OfLoop (const Handle(IGESSolid_Loop)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESSolid_Loop)&V)
Standard_EXPORT void | Destroy ()
| ~IGESSolid_Array1OfLoop ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESSolid_Array1OfLoop & | Assign (const IGESSolid_Array1OfLoop &Other)
const IGESSolid_Array1OfLoop & | operator= (const IGESSolid_Array1OfLoop &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESSolid_Loop)&Value)
const Handle_IGESSolid_Loop & | Value (const Standard_Integer Index) const
const Handle_IGESSolid_Loop & | operator() (const Standard_Integer Index) const
Handle_IGESSolid_Loop & | ChangeValue (const Standard_Integer Index)
Handle_IGESSolid_Loop & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | IGESSolid_Array1OfLoop (const IGESSolid_Array1OfLoop &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_Array1OfLoop::IGESSolid_Array1OfLoop | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESSolid_Array1OfLoop::IGESSolid_Array1OfLoop | ( | const Handle(IGESSolid_Loop)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESSolid_Array1OfLoop::~IGESSolid_Array1OfLoop | ( |  | ) | `[inline]`

Standard_EXPORT IGESSolid_Array1OfLoop::IGESSolid_Array1OfLoop | ( | const IGESSolid_Array1OfLoop & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESSolid_Array1OfLoop& IGESSolid_Array1OfLoop::Assign | ( | const IGESSolid_Array1OfLoop & | Other | ) |

Handle_IGESSolid_Loop& IGESSolid_Array1OfLoop::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESSolid_Array1OfLoop::Destroy | ( |  | ) |

Standard_EXPORT void IGESSolid_Array1OfLoop::Init | ( | const Handle(IGESSolid_Loop)& | V | ) |

Standard_Boolean IGESSolid_Array1OfLoop::IsAllocated | ( |  | ) | const

Standard_Integer IGESSolid_Array1OfLoop::Length | ( |  | ) | const

Standard_Integer IGESSolid_Array1OfLoop::Lower | ( |  | ) | const

void IGESSolid_Array1OfLoop::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESSolid_Array1OfLoop::operator new | ( | size_t | size | ) | `[inline]`

void* IGESSolid_Array1OfLoop::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESSolid_Loop& IGESSolid_Array1OfLoop::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESSolid_Loop& IGESSolid_Array1OfLoop::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESSolid_Array1OfLoop& IGESSolid_Array1OfLoop::operator= | ( | const IGESSolid_Array1OfLoop & | Other | ) | `[inline]`

void IGESSolid_Array1OfLoop::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESSolid_Loop)& | Value
| ) |

Standard_Integer IGESSolid_Array1OfLoop::Upper | ( |  | ) | const

const Handle_IGESSolid_Loop& IGESSolid_Array1OfLoop::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESSolid_Array1OfLoop::isAllocated`[private]`

Standard_Integer IGESSolid_Array1OfLoop::myLowerBound`[private]`

Standard_Address IGESSolid_Array1OfLoop::myStart`[private]`

Standard_Integer IGESSolid_Array1OfLoop::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- IGESSolid_Array1OfLoop.hxx